//==============================================================================
// SERVO.H - Header file for some HSERVO type functionality
//		to be cleaned up.
//
// Version 0.1 - Work in Progress - Warning this work has not been debugged yet!!!
//
// Major Contributers: Kurt Eckhardt 
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//==============================================================================
#ifndef Servo_h
#define Servo_h

//#include <inttypes.h>

extern void HServoInit(void);								// init the subsystem will need to init the timers and the like...
extern void HServoGroupMoveStart(void);						// start a group move
extern void	HServoGroupMoveCommit(u16 wMoveTime);			// Do the commit, pass in how long you wish for the move to take
extern void HServo(u8 pin, u16 wPulseWidth);				// 
extern bool HServoIdle(u8 pin);
extern u16 HServoPos(u8 pin);
extern void HServoWait(u32 lServoMask);						// Have a wait function we pass in mask of which servos we wish to wait for...

#endif
